you can find all tweaks in the \tweaks\ directory of opus-nt.
 
## legend

✔ - added registry value. accurately reversible.  
⚠️ - changed registry value. may not accurately revert.  
❌ - complex modification/file modification. no reversal-tweak available.  

i do not guarantee that that all of the reversals are accurate across different releases, the green ones are just fairly likely to be accurate. **please do** nag me if the defaults have changed, though. i would love to nail these as good as i can.

<br>

## performance

|  | **name** | **details** |
| :---: | --- | --- |
| ✔ | [disable metro app swapping](../tweaks/disable metro app swapping) | metro apps suspend themselves into swapfile.sys, to save memory. this however causes i/o activity. it is better disabled, and to disallow wasteful apps to run in the background entirely. |
| ⚠️ | [disable superfetch](../tweaks/disable superfetch) | superfetch stores frequently accessed data in RAM. this is supposed to speed up read speeds, but in practice, it just causes unnecessary i/o activity, especially on HDDs. slow on HDDs, useless on SSDs as they're fast enough as-is, so this is disabled. |
| ✔ | [disable windows defender](../tweaks/disable windows defender) | windows defender is not that good of anti-virus, and also causes a boatload of i/o activity, especially when a lot is going on. definitely worth disabling. |
| ⚠️ | [disable windows search](../tweaks/disable windows search) | the windows search service is responsible for indexing the files on your drives. the service speeds up search, however, also causes unexpected i/o activity sometimes. |

<br>

## stability

|  | **name** | **details** |
| :---: | --- | --- |
| ✔ | [delay feature updates](../tweaks/delay feature updates) | feature updates will be delayed by half a year. feature updates are known to break stuff, especially in their early days, this alleviates the issue. |
| ✔ | [disable driver updates](../tweaks/disable driver updates) | driver updates just love to break everything by installing themselves over your current drivers, improperly. |
| ✔ | [disable fast startup](../tweaks/disable fast startup) | when using fast startup, your computer never properly shuts down, but rather hibernates. this can leave you with an unstable system after a while, if you do not restart. see below for more info on hibernation and another reason as to why this is disabled. |
| ✔ | [disable hibernation](../tweaks/disable hibernation) | hibernation locks down your file system while windows is hibernating or shut down (if fast startup is enabled). editing the file-system outside of windows while this is the case, perhaps for recovery purposes, can likely corrupt your data. |
| ⚠️ | [disable low battery hibernation while charging](../tweaks/disable low battery hibernation while charging) | fixes the annoying behavior where windows will hibernate randomly while the device is charging. this can happen especially on old/dead batteries. if you are using a weak charger, you may want to exclude this tweak. |
| ❌ | ~~post-setup script - disable update reboot~~ | this disables the scheduled task, which force-restarts your PC randomly after an update. pending re-implementation. |

<br>

## security

|  | **name** | **details** |
| :---: | --- | --- |
| ✔ | [disable activity history](../tweaks/disable activity history) | the activity history is just kind of creepy and unnecessary. this also skips a step in OOBE. |
| ✔ | [disable cross-pc update](../tweaks/disable cross-pc update) | on default, windows will download/upload updates from/to other PCs in the network. this may or may not have security implications. better safe than sorry. |
| ✔ | [disable recently opened items](../tweaks/disable recently opened items) | disables several occurrences of recently opened files and folders, most prominently in quick access. |

<br>

## anti-corporate

|  | **name** | **details** |
| :---: | --- | --- |
| ✔ | [disable ads](../tweaks/disable ads) | this disables lots of ad-like behavior. the following features are disabled: downloading advert apps, explorer suggestions, start menu suggestions, "tips, tricks and suggestions" and settings suggestions. |
| ✔ | [disable cortana](../tweaks/disable cortana) | another unecessity. this also disables web-search suggestions. |
| ✔ | [disable customer experience improvement program](../tweaks/disable customer experience improvement program) | disables some misc telemetry related to compatibility and problem solving. also degrades performance |
| ❌ | [disable onedrive auto-install](../tweaks/disable onedrive auto-install) | onedrive gets installed for every newly created user. this disables that behavior. |
| ✔ | [disable telemetry](../tweaks/disable telemetry) | this tweak reduces the amount of data sent to microsoft. on home/pro, only basic telemetry gets sent. on enterprise, telemetry is "disabled". |
| ❌ | [partial unattended setup](../tweaks/partial unattended setup) | skips OOBE, the last part of the setup. option to create a microsoft account is disabled, you will not be offered to connect to a wifi network and all the security questions get answered with "no" (to maximize privacy and performance). |

<br>

## quality of life
|  | **name** | **details** |
| :---: | --- | --- |
| ✔ | [disable automatic sign-on](../tweaks/disable automatic sign-on) | automatic sign-on gets your PC ready with the applications you had last started before you log in. this can be annoying if you prefer to start fresh when restarting. this can also slow down your startup by a bunch. |
| ✔ | [disable lock screen](../tweaks/disable lock screen) | disables the additional, phone-like lock screen when an account is locked. saves you a button-press. |
| ⚠️ | [enable file extensions](../tweaks/enable file extensions) | this enables file extensions (like .exe and .zip) for every newly created user. |
| ❌ | [post-setup script - master](../tweaks/post-setup script - master) | this calls scripts in `%SystemDrive%\opus-nt-setupcomplete\scripts` after setup. a log-file is shown after this process is done, stored as `%SystemDrive%\opus-nt-setupcomplete.log`. the scripts destroy themselves after this. |